IFSTATED(8)

NAME
ifstated - Interface State servicio

SYNOPSIS
ifstated [-dhinv] [-D macro=value] [-f file]

DESCRIPTION
The ifstated servicio runs commands in response to network state changes, which it determines by monitoring interface link state or running external tests. For example, it can be used with carp(4) to change running services or to ensure that carp(4) interfaces stay in sync, or with pf(4) to test server or link availability and modify translation or routing rules. The options are as follows:

-D macro=value
    Define macro to be set to value on the command line. Overrides the definition of macro in the configuration file.

-d  Do not servicioize and log to stdout.

-f file
    Specify an alternate location, file, for the configuration file.

-h  Print help message.

-i  Ignore initial interface states.

-n  Configtest mode. Check config validity, then exit.

-v  Verbose mode. Use twice to further increase verbosity.

Upon receiving SIGHUP, ifstated reloads the configuration file.

FILES
/etc/ifstated.conf
    ifstated configuration file.

SEE ALSO
carp(4), pf(4), ifstated.conf(5)

HISTORY
The ifstated program first appeared in OpenBSD 3.8.